# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hledger
%global pkgver %{pkg_name}-%{version}

%global here here-1.2.9
# here needs
%global haskellsrcmeta haskell-src-meta-0.7.0.1
%global thexpandsyns th-expand-syns-0.4.3.0
%global thlift th-lift-0.7.7
%global thliftinstances th-lift-instances-0.1.11
%global thorphans th-orphans-0.13.3
%global threifymany th-reify-many-0.1.6
%global subpkgs %{thexpandsyns} %{thlift} %{thliftinstances} %{threifymany} %{thorphans} %{haskellsrcmeta} %{here}

%bcond_with tests

Name:           %{pkg_name}
Version:        1.2
Release:        5%{?dist}
Summary:        Command-line interface for the hledger accounting tool

License:        GPLv3
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source2:        https://hackage.haskell.org/package/%{here}/%{here}.tar.gz
Source3:        https://hackage.haskell.org/package/%{haskellsrcmeta}/%{haskellsrcmeta}.tar.gz
Source4:        https://hackage.haskell.org/package/%{thexpandsyns}/%{thexpandsyns}.tar.gz
Source5:        https://hackage.haskell.org/package/%{thlift}/%{thlift}.tar.gz
Source6:        https://hackage.haskell.org/package/%{thliftinstances}/%{thliftinstances}.tar.gz
Source7:        https://hackage.haskell.org/package/%{thorphans}/%{thorphans}.tar.gz
Source8:        https://hackage.haskell.org/package/%{threifymany}/%{threifymany}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-haskeline-devel
#BuildRequires:  ghc-here-devel
BuildRequires:  ghc-hledger-lib-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-tabular-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-wizards-devel
%if %{with tests}
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif
# End cabal-rpm deps
# for th-expand-syns
BuildRequires:  ghc-syb-devel
# for haskell-src-meta
BuildRequires:  ghc-haskell-src-exts-devel

%description
This is hledger's command-line interface. Its basic function is to read a plain
text file describing financial transactions and produce useful reports.

hledger is a cross-platform program for tracking money, time, or any other
commodity, using double-entry accounting and a simple, editable file format.
It is inspired by and largely compatible with ledger(1). hledger provides
command-line, curses and web interfaces, and aims to be a reliable, practical
tool for daily use.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{here}
%ghc_lib_subpackage %{haskellsrcmeta}
%ghc_lib_subpackage %{thexpandsyns}
%ghc_lib_subpackage %{thlift}
%ghc_lib_subpackage %{thliftinstances}
%ghc_lib_subpackage %{thorphans}
%ghc_lib_subpackage %{threifymany}
%endif

%global version %{main_version}


%prep
%setup -q -a2 -a3 -a4 -a5 -a6 -a7 -a8
cabal-tweak-drop-dep mtl-compat


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{pkgver}

mkdir -p %{buildroot}%{_docdir}/ghc-hledger-devel/
mv %{buildroot}%{_datadir}/%{name}-%{version}/doc %{buildroot}%{_docdir}/ghc-hledger-devel/


%check
%cabal_test


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%license LICENSE
%{_bindir}/%{name}


%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc CHANGES README.md doc


%changelog
* Wed Aug 30 2017 Jens Petersen <petersen@redhat.com> - 1.2-5
- no longer need to subpackage file-embed

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 29 2017 Jens Petersen <petersen@redhat.com> - 1.2-2
- bump release

* Fri May 26 2017 Jens Petersen <petersen@redhat.com> - 1.2-1
- update to 1.2
- add here lib and its deps

* Tue Feb 21 2017 Jens Petersen <petersen@redhat.com> - 1.0.1-1
- update to 1.0.1
- subpackage file-embed

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep  5 2016 Jens Petersen <petersen@redhat.com> - 0.27.1-1
- update to 0.27.1
- build without mtl-compat

* Tue May 24 2016 Ben Boeckel <mathstuf@gmail.com> - 0.24-5
- Rebuild for ghc-cmdargs, ghc-regexpr, ghc-split
- doc -> license macro

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 Ben Boeckel <mathstuf@gmail.com> - 0.24-3
- rebuild for ghc-safe and ghc-wizards

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 01 2015 Ben Boeckel <mathstuf@gmail.com> - 0.24-1
- update to 0.24
- cblrpm refresh

* Fri Feb  6 2015 Jens Petersen <petersen@redhat.com> - 0.23.2-1
- update to 0.23.2
- cblrpm refresh
- patch out pretty-show for now
- try re-enabling armv7

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Jens Petersen <petersen@redhat.com> - 0.19.3-3
- exclude armv7hl since TemplateHaskell failing to compile (#992478)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Jens Petersen <petersen@redhat.com> - 0.19.3-1
- update to 0.19.3
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 19 2013 Jens Petersen <petersen@redhat.com> - 0.17-5
- allow haskeline-0.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Jens Petersen <petersen@redhat.com> - 0.17-3
- re-enable dynamic executable
- allow building with cmdargs-0.10 and split-0.2
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.17-1
- Initial package
